
/*
Theme Name: Liberty USA
Version: 1.0
Template: krakatoa
*/

/***** Base Styling *****/
.responsive-embed {
	position: relative;
	padding-bottom: 56.25%;
	height: 0;
	overflow: hidden;
	max-width: 100%;
}

.responsive-embed iframe, .responsive-embed object, .responsive-embed embed {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

/***** Component Library *****/
#location-map {
	display: block;
	max-width: 100%;
}

/***** Header *****/
header a {
	text-decoration: none;
}

header a:hover {
	color: var(--wp--preset--color--gray);
}

header nav .header-cta a {
	background-color: var(--wp--preset--color--accent);
	padding: 5px 25px !important;
	border-radius: 5px;
	color: var(--wp--preset--color--white) !important;
}

header nav .header-cta a:hover {
	background-color: var(--wp--preset--color--primary-dark);
}

/***** Forms *****/
body .gform_wrapper .gform_heading .gform_required_legend {
	display: none;
}

body .gform_wrapper .gform_body .gform_fields .gfield .ginput_container input, body .gform_wrapper .gform_body .gform_fields .gfield .ginput_container textarea, body .gform_wrapper .gform_body .gform_fields .gfield select {
	background-color: var(--wp--preset--color--white);
	border: 1px solid #aaa;
	color: var(--wp--preset--color--black);
	border-radius: 10px;
}

body .gform_wrapper .gform_footer input[type=submit], body .gform_wrapper .gform_footer button {
	display: block;
	margin: 0 auto;
	padding: 5px 25px;
	background-color: var(--wp--preset--color--accent);
	border: 1px solid var(--wp--preset--color--accent) !important;
	border-radius: 10px;
	font-size: var(--wp--preset--font-size--large);
	color: #fff;
	border: 0;
}

body .gform_wrapper .gform_footer input[type=submit]:hover, body .gform_wrapper .gform_footer button:hover {
	background-color: transparent;
}

::-webkit-input-placeholder {
	/* Chrome */
	color: #aaa;
}

:-ms-input-placeholder {
	/* IE 10+ */
	color: #aaa;
}

::-moz-placeholder {
	/* Firefox 19+ */
	color: #aaa;
	opacity: 1;
}

:-moz-placeholder {
	/* Firefox 4 - 18 */
	color: #aaa;
	opacity: 1;
}

body .gform_wrapper .gform_page_footer {
	display: flex;
	justify-content: center;
}

body .gform_wrapper .gform_page_footer .gform_next_button, body .gform_wrapper .gform_page_footer .gform_previous_button, body .gform_wrapper .gform_page_footer input[type=submit] {
	color: var(--wp--preset--color--white) !important;
	background-color: var(--wp--preset--color--primary) !important;
	border-radius: 10px;
	border: none;
	padding: 5px 25px;
}

body .gform_wrapper .gform_page_footer input[type=submit] {
	background-color: var(--wp--preset--color--accent) !important;
}

body .gform_wrapper .gform_page_footer .gform_next_button:hover, body .gform_wrapper .gform_page_footer .gform_previous_button:hover {
	background-color: var(--wp--preset--color--primary-dark);
}

#input_9_13 {
	display: grid;
	grid-template-columns: 1fr 1fr;
}

#field_10_3 {
	grid-column: span 11;
}

#gform_submit_button_10 {
	align-self: center !important;
}

/***** Home *****/
#home-reviews h3 {
	font-weight: normal;
}

#home-services .wp-block-column > .wp-block-group {
	max-width: 500px;
	margin: 0 auto;
}

/***** Pages *****/
.service-listing a {
	text-decoration: none;
}

.awning-style-listing .wp-block-column {
	display: flex;
	flex-direction: column;
}

.wp-block-uagb-modal {
	margin-block-start: auto !important;
}

.uagb-modal-popup-wrap {
	max-width: calc(100% - 50px) !important;
}

.uagb-tab {
	border-radius: 10px !important;
	border-width: 1px !important;
	border-style: solid !important;
	border-color: var(--wp--preset--color--primary-dark) !important;
}

.uagb-tab a {
	text-decoration: none;
}

.uagb-tabs__active {
	background-color: var(--wp--preset--color--primary-dark);
}

.uagb-tabs__active a {
	color: var(--wp--preset--color--white) !important;
}

.wp-block-uagb-image-gallery {
	max-width: calc(100% - 85px) !important;
}

#location-list ul {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-gap: 20px 50px;
	list-style-image: url("https://www.lhpinc.com/nitropack_static/JRxLumkoPKKWAuqqPcutPiqkjVkTrySW/assets/images/optimized/rev-5af562b/www.lhpinc.com/wp-content/themes/LibertyUSA/assets/img/geo-alt.svg");
	list-style-position: outside;
}

#location-list ul a {
	text-decoration: none;
	font-weight: bold;
}

/***** Footer *****/
footer {
	margin-top: 0;
	margin-block-start: 0 !important;
}

footer a {
	text-decoration: none !important;
	color: var(--wp--preset--color--white);
}

#floating-cta {
	position: fixed;
	bottom: 30px;
	right: 30px;
	z-index: 999;
}

/***** Media Queries *****/
@media (max-width: 941px) and (min-width: 601px) {
	header div:nth-child(2) > div {
		justify-content: center !important;
	}
}

@media (max-width: 640px) {
	#gform_10 #field_submit {
		grid-column: auto;
	}
	
	#gform_fields_10 {
		grid-column-gap: 2%;
	}
}

@media (max-width: 600px) {
	ul.wp-block-navigation-submenu li {
		padding: 10px;
	}
	
	.header-cta {
		margin-bottom: 20px;
	}
	
	#floating-cta {
		bottom: 0;
		left: 0;
		right: 0;
		width: 100%;
		height: 50px;
	}
	
	#floating-cta div, #floating-cta a {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 100%;
		height: 100%;
		border-radius: 0;
	}
	
	#location-list ul {
		grid-template-columns: 1fr;
	}
}
